## org.eclipse.amp.axf.ide
Class ModelManagerLabelProvider

    java.lang.Object
      org.eclipse.amp.axf.ide.ModelManagerLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class ModelManagerLabelProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.ILabelProvider

The Class ModelManagerLabelProvider.

Field Summary
`static org.eclipse.swt.graphics.Image` `LISTENER_IMAGE`
`static org.eclipse.swt.graphics.Image` `PAUSE_IMAGE`
`static org.eclipse.swt.graphics.Image` `RUN_IMAGE`
`static org.eclipse.swt.graphics.Image` `STOP_IMAGE`

Constructor Summary
`ModelManagerLabelProvider()`

Method Summary
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `dispose()`
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RUN_IMAGE

    public static org.eclipse.swt.graphics.Image RUN_IMAGE

### PAUSE_IMAGE

    public static org.eclipse.swt.graphics.Image PAUSE_IMAGE

### STOP_IMAGE

    public static org.eclipse.swt.graphics.Image STOP_IMAGE

### LISTENER_IMAGE

    public static org.eclipse.swt.graphics.Image LISTENER_IMAGE

Constructor Detail

### ModelManagerLabelProvider

    public ModelManagerLabelProvider()

Method Detail

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `ILabelProvider.getImage(java.lang.Object)`

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `ILabelProvider.getText(java.lang.Object)`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `listener` -
  See Also:
    `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.dispose()`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `element` -
    `property` -
  Returns:
  See Also:
    `IBaseLabelProvider.isLabelProperty(java.lang.Object, java.lang.String)`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `listener` -
  See Also:
    `IBaseLabelProvider.removeListener(org.eclipse.jface.viewers.ILabelProviderListener)`